function varargout = krit_ot(varargin)
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @krit_ot_OpeningFcn, ...
                   'gui_OutputFcn',  @krit_ot_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

% Inicializační hodnoty
function krit_ot_OpeningFcn(hObject, eventdata, handles, varargin)
global Not Det kr_ot

if length(kr_ot)>14
    set(handles.text_cont,'Visible','on')
end

odskokx=max(Not)/20;
xmin=-odskokx;
xmax=max(Not)+odskokx;
odskoky=(max(Det)-min(Det))/20;
ymin=min(Det)-odskoky;
ymax=max(Det)+odskoky;

% zobrazení křivky determinantu
axes(handles.axes_ko)
plot(Not,Det);
hold on
plot([0 max(Not)],[0 0],'-r')
grid on
title('Kritické otáčky')
xlabel('N [min^-1]')
ylabel('det [-]')
xlim([xmin xmax])
ylim([ymin ymax])

% zobrazení kritických otáček
for i=1:length(kr_ot)
    plot([kr_ot(i) kr_ot(i)],[ymin ymax],'--k')
end
hold off

% zobrazení hodnot kritických otáček
for i=1:length(kr_ot)
    r{i}=['Nk',num2str(i),':'];
end
if sum(kr_ot)~=0
    set(handles.text_kro,'String',r')
    set(handles.text_ko,'String',kr_ot')
else
    set(handles.text_ko,'String','V zadaném pásmu otáček neleží žádné kritické otáčky')
end

handles.output = hObject;
guidata(hObject, handles);

function varargout = krit_ot_OutputFcn(hObject, eventdata, handles) 
varargout{1} = handles.output;


% Textový výpis dat
function push_text_Callback(hObject, eventdata, handles)
figure(textdata)
